Loading...
Searching...
No Matches
su_tag_class.h File Reference
Tag Item Lists

\ More...

`#include <sofia-sip/su_tag.h>`
Include dependency graph for su_tag_class.h:

Go to the source code of this file.

## Data Structures

class | tag_class_s
| Virtual function table for tags. More...

## Macros

#define | SU_TAG_CLASS_H
| Defined when <sofia-sip/su_tag_class.h> has been included.
#define | TAG_NAMESPACE
| Default namespace for tags.

## Functions

tagi_t * | t_filter (tagi_t *, tagi_t const [], tagi_t const *, void **)
| Filter an element in tag list.

## Variables

tag_class_t | usize_tag_class []
| Tag class for tags with usize_t value.
tag_class_t | size_tag_class []
| Tag class for tags with size_t value.
tag_class_t | cstr_tag_class []
| Tag class for constant strings.
tag_class_t | ns_tag_class []
| Namespace filtering class.

## Detailed Description

\

Tag class interface for object-oriented tags

Author
  Pekka Pessi Pekka.nosp@m..Pes.nosp@m.si@no.nosp@m.kia..nosp@m.com

Date
  Created: Wed Feb 21 00:49:41 2001 ppessi

## Variable Documentation

## size_tag_class

tag_class_t size_tag_class[]

extern

Tag class for tags with size_t value.

Since
  New in 1.12.5.

## usize_tag_class

tag_class_t usize_tag_class[]

extern

Tag class for tags with usize_t value.

Since
  New in 1.12.5.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.